Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cli
Class MfCliOpStatusJobModule

    java.lang.Object
      com.sun.mfwk.cli.MfCliCommand
          com.sun.mfwk.cli.MfCliOpStatusJobModule

All Implemented Interfaces:
  com.sun.cacao.commandstream.Command

public class MfCliOpStatusJobModule
extends MfCliCommand

The basic `echo` command. It simply returns the arguments as the output message.

Since:
  Cacao 1.0
Author:
  Sun Microsystems, Inc.

Field Summary

Fields inherited from interface com.sun.cacao.commandstream.Command
`ENV_CMD_DOMAIN_KEY, ENV_CMD_NAME_KEY, ERROR_CODE, SUCCESS_CODE`

Constructor Summary
`MfCliOpStatusJobModule(javax.management.MBeanServer mbs)`

Method Summary
`void` | `actionCreateOpStatusJobByObject(java.lang.String jobName, int granularity, javax.management.ObjectName[] objNames)`
`void` | `actionDeleteOpStatusJob(java.lang.String jobName)`
`void` | `actionResumeOpStatusJob(java.lang.String jobName)`
`void` | `actionSuspendOpStatusJob(java.lang.String jobName)`
`java.lang.String` | `displayOpStatusJobInfo(java.lang.String jobName)`
`java.lang.String` | `displayOpStatusJobsByClass()`
`java.lang.String` | `displayOpStatusJobsByObjectsByProductInstance()`
`OperationalStatusMonitorValue` | `findOpStatusJobByName(java.lang.String jobname)`
`OperationalStatusMonitorByClassesValue[]` | `getOpStatusJobByClass()`
`OperationalStatusMonitorByObjectsValue[]` | `getOpStatusJobNamesByObjectsByProductInstance(java.lang.String productName, java.lang.String instanceName)`
`java.lang.String` | `getOpStatusJobReportByEventString(OperationalStatusMonitorValue pmv)`
`java.lang.String` | `getOpStatusJobReportByFileString(OperationalStatusMonitorValue pmv)`
`java.lang.String` | `getOpStatusJobReportData(java.lang.String monitorJobName)`
`java.lang.String` | `getOpStatusJobReportFormatString(OperationalStatusMonitorValue pmv)`
`java.lang.String` | `getOpStatusJobScheduleString(OperationalStatusMonitorValue pmv)`
`java.lang.String` | `getOpStatusJobStateString(OperationalStatusMonitorValue pmv)`

Methods inherited from class com.sun.mfwk.cli.MfCliCommand
`execute, getMBeanServer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MfCliOpStatusJobModule

    public MfCliOpStatusJobModule(javax.management.MBeanServer mbs)
                           throws java.lang.Exception

Method Detail

### getOpStatusJobNamesByObjectsByProductInstance

    public OperationalStatusMonitorByObjectsValue[] getOpStatusJobNamesByObjectsByProductInstance(java.lang.String productName,
                                                                                                  java.lang.String instanceName)
                                                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getOpStatusJobByClass

    public OperationalStatusMonitorByClassesValue[] getOpStatusJobByClass()
                                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### findOpStatusJobByName

    public OperationalStatusMonitorValue findOpStatusJobByName(java.lang.String jobname)
                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### displayOpStatusJobsByClass

    public java.lang.String displayOpStatusJobsByClass()
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### displayOpStatusJobsByObjectsByProductInstance

    public java.lang.String displayOpStatusJobsByObjectsByProductInstance()
                                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### displayOpStatusJobInfo

    public java.lang.String displayOpStatusJobInfo(java.lang.String jobName)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getOpStatusJobReportData

    public java.lang.String getOpStatusJobReportData(java.lang.String monitorJobName)
                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### actionDeleteOpStatusJob

    public void actionDeleteOpStatusJob(java.lang.String jobName)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### actionSuspendOpStatusJob

    public void actionSuspendOpStatusJob(java.lang.String jobName)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### actionResumeOpStatusJob

    public void actionResumeOpStatusJob(java.lang.String jobName)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### actionCreateOpStatusJobByObject

    public void actionCreateOpStatusJobByObject(java.lang.String jobName,
                                                int granularity,
                                                javax.management.ObjectName[] objNames)
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getOpStatusJobStateString

    public java.lang.String getOpStatusJobStateString(OperationalStatusMonitorValue pmv)

### getOpStatusJobReportByEventString

    public java.lang.String getOpStatusJobReportByEventString(OperationalStatusMonitorValue pmv)

### getOpStatusJobReportByFileString

    public java.lang.String getOpStatusJobReportByFileString(OperationalStatusMonitorValue pmv)

### getOpStatusJobReportFormatString

    public java.lang.String getOpStatusJobReportFormatString(OperationalStatusMonitorValue pmv)

### getOpStatusJobScheduleString

    public java.lang.String getOpStatusJobScheduleString(OperationalStatusMonitorValue pmv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD